include::../description.adoc[]

include::../noncompliant.adoc[]

include::../compliant.adoc[]

== Exceptions

Generic exceptions in the signatures of overriding methods are ignored, because overriding method has to follow signature of the throw declaration in the superclass. The issue will be raised on superclass declaration of the method (or won't be raised at all if superclass is not part of the analysis).

----
@Override
public void myMethod() throws Exception {...}
----

Generic exceptions are also ignored in the signatures of methods that make calls to methods that throw generic exceptions.

----
public void myOtherMethod throws Exception {
  doTheThing();  // this method throws Exception
}
----

include::../see.adoc[]

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
